[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemon.OnPause

Daemon pause event

## Declaration

Source position: daemonapp.pp line 105

`published property TDaemon.OnPause : TDaemonOKEvent read FOnPause write FOnPause;`

## Description

OnPause is the event called when the daemon must be stopped. This event handler should return as quickly as possible. If it must perform lengthy operations, it is best to report the status to the operating system at regular intervals using the ReportStatus method.

If a thread was started in the OnExecute event, this is the place where the thread's execution should be suspended.

## See also

TDaemon.OnStop |  | Daemon stop event
TDaemon.OnContinue |  | Daemon continue
ReportStatus |  | Report the current status to the operating system

Documentation generated on: Feb 26 2014